/*
 * beaglefs/beaglefs.c - entry point for beaglefs
 *
 * Robert Love <rml@novell.com>
 */

#define FUSE_USE_VERSION 25
#include <fuse.h>

#include <stdio.h>
#include <stdlib.h>

#include <glib.h>

#include "hit.h"
#include "file.h"

static int beagle_opt_proc (void *data,
			    const char *arg,
			    int key,
			    G_GNUC_UNUSED struct fuse_args *outargs)
{
	char **s = data;
	if (key == FUSE_OPT_KEY_NONOPT && !*s) {
		*s = g_strdup (arg);
		return 0;
	}

	return 1;
}

int
main (int argc, char *argv[])
{
	struct fuse_args args = FUSE_ARGS_INIT (argc, argv);

	if (fuse_opt_parse (&args, &query_string, NULL, beagle_opt_proc) == -1
			|| !query_string) {
		fprintf (stderr, "%s: <query> <mount point>\n", argv[0]);
		exit (EXIT_FAILURE);
	}

	return fuse_main (args.argc, args.argv, &beagle_file_ops);
}
